%define name    mdbtools
%define version 0.5
%define release 4mdk
%define libmajor 0
%define libname %mklibname %{name} %{libmajor}

Summary:       MDB Tools accesses data stored in Microsoft Access databases
Name:          %{name}
Version:       %{version}
Release:       %{release}
Source0:       %{name}-%{version}.tar.bz2
# (fc) 0.5-3mdk fix build with gcc 3.4
Patch0:		mdbtools-0.5-gcc34.patch.bz2
License:       LGPL/GPL
Url:           http://mdbtools.sourceforge.net
Group:         Development/Databases
BuildRoot:     %{_tmppath}/%{name}-buildroot
BuildRequires: libglade2.0-devel, libgnomeui2-devel, unixODBC-devel
BuildRequires: ImageMagick
Requires:      %{libname} = %{version}

%description
mdb-dump   -- simple hex dump utility for looking at mdb files
mdb-schema -- prints DDL for the specified table
mdb-export -- export table to CSV format
mdb-tables -- a simple dump of table names to be used with shell scripts
mdb-header -- generates a C header to be used in exporting mdb data to a C prog
mdb-parsecvs -- generates a C program given a CSV file made with mdb-export
mdb-sql -- demo SQL engine program
mdb-ver -- print version of database

%package -n %{libname}-devel
Group:         Development/Databases
Summary:       Include files needed for development with MDB Tools
Requires:      %{libname} = %{version}
Provides:      lib%{name}-devel
%description -n %{libname}-devel
The libmdbtools-devel package contains the files necessary for development
 with with the MDB Tools libraries.

%package -n %{libname}-static-devel
Group:         Development/Databases
Summary:       Include files needed for development with MDB Tools
Requires:      %{libname}-devel = %{version}
%description -n %{libname}-static-devel
The libmdbtools-static-devel package contains the files necessary for 
development with with the MDB Tools libraries.

%package -n %{libname}
Group:         System/Libraries
Summary:       MDB Tools ODBC driver for unixODBC
%description -n %{libname}
The libmdbtools package contains ODBC driver build for unixODBC.

%package gui
Group:         Databases
Summary:       The gmdb2 graphical interface for MDB Tools
#Requires:      %{libname} = %{version}, libgnomeui2_0, libglade2.0_0
%description gui
The mdbtools-gui package contains the gmdb2 graphical user interface for 
MDB Tools

%prep
%setup -q
%patch0 -p1 -b .gcc34

%build
%configure2_5x --with-unixodbc
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}-gui
?package(%{name}-gui): \
needs="x11" \
section="More Applications/Databases" \
title="Gmdb" \
longtitle="GNOME MDB Viewer" \
command="%{_bindir}/gmdb2" needs="X11" \
icon="%{name}.png"
EOF

mkdir -p %{buildroot}/{%{_miconsdir},%{_liconsdir},%{_iconsdir}}
convert src/gmdb2/pixmaps/logo.xpm -resize 16x16 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert src/gmdb2/pixmaps/logo.xpm -resize 32x32 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert src/gmdb2/pixmaps/logo.xpm -resize 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post gui
%{update_menus}

%postun gui
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO HACKING
%{_bindir}/mdb-array
%{_bindir}/mdb-dump
%{_bindir}/mdb-export
%{_bindir}/mdb-header
%{_bindir}/mdb-parsecsv
%{_bindir}/mdb-schema
%{_bindir}/mdb-sql
%{_bindir}/mdb-tables
%{_bindir}/mdb-ver
%{_bindir}/prcat
%{_bindir}/prdata
%{_bindir}/prdump
%{_bindir}/prindex
%{_bindir}/prkkd
%{_bindir}/prole
%{_bindir}/prtable
%{_bindir}/updrow
%{_bindir}/unittest
%{_mandir}/man1/*

%files -n %{libname}-devel
%defattr (-,root,root)
%{_includedir}/mdbtools.h
%{_includedir}/mdbsql.h
%{_includedir}/gmdb.h
%{_includedir}/mdbodbc.h
%{_includedir}/connectparams.h
%{_libdir}/libmdb.la
%{_libdir}/libmdbsql.la
%{_libdir}/libmdbodbc.la
%{_libdir}/libmdb.so
%{_libdir}/libmdbsql.so
%{_libdir}/libmdbodbc.so

%files -n %{libname}-static-devel
%defattr (-,root,root)
%{_libdir}/libmdbsql.a
%{_libdir}/libmdb.a
%{_libdir}/libmdbodbc.a

%files -n %{libname}
%defattr(-,root,root)
#%{_libdir}/libmdb.la
%{_libdir}/libmdb.so.*
#%{_libdir}/libmdbsql.la
%{_libdir}/libmdbsql.so.*
%{_libdir}/libmdbodbc.so.*

%files gui
%defattr (-,root,root)
%{_iconsdir}/%{name}.*
%{_miconsdir}/%{name}.*
%{_liconsdir}/%{name}.*
%{_menudir}/%{name}-gui
%{_bindir}/gmdb2
%{_datadir}/gmdb/glade/code.xpm
%{_datadir}/gmdb/glade/debug.xpm
%{_datadir}/gmdb/glade/form_big.xpm
%{_datadir}/gmdb/glade/forms.xpm
%{_datadir}/gmdb/glade/gmdb-debug.glade
%{_datadir}/gmdb/glade/gmdb-export.glade
%{_datadir}/gmdb/glade/gmdb.glade
%{_datadir}/gmdb/glade/gmdb-prefs.glade
%{_datadir}/gmdb/glade/gmdb-props.glade
%{_datadir}/gmdb/glade/gmdb-schema.glade
%{_datadir}/gmdb/glade/gmdb-sql-file.glade
%{_datadir}/gmdb/glade/gmdb-sql.glade
%{_datadir}/gmdb/glade/logo.xpm
%{_datadir}/gmdb/glade/macro_big.xpm
%{_datadir}/gmdb/glade/macros.xpm
%{_datadir}/gmdb/glade/module_big.xpm
%{_datadir}/gmdb/glade/pk.xpm
%{_datadir}/gmdb/glade/query_big.xpm
%{_datadir}/gmdb/glade/query.xpm
%{_datadir}/gmdb/glade/report_big.xpm
%{_datadir}/gmdb/glade/reports.xpm
%{_datadir}/gmdb/glade/stock_export-16.png
%{_datadir}/gmdb/glade/stock_export.png
%{_datadir}/gmdb/glade/table_big.xpm
%{_datadir}/gmdb/glade/table.xpm
%{_datadir}/gnome/help/gmdb/C/gmdb.xml
%{_datadir}/gnome/help/gmdb/C/legal.xml
%{_datadir}/gnome/help/gmdb/C/figures/gmdb2_window.png
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO HACKING

%changelog
* Sun Apr 03 2005 Michael Scherer <misc@mandrake.org> 0.5-4mdk
- Rebuild for readline
- fix rpmlint warning

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-3mdk
- Patch0: fix build with gcc34
- Fix menu

* Thu Feb 26 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.5-2mdk
- enable odbc (Ian Britten)

* Wed May 14 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.5-1mdk
- rpmlint-ify, mklibname-ify and add menu entry
- Moved *.la into -devel, does it break something?
- Package from Jaco Greeff <jaco@puxedo.org>
  - Initial mandrake package
